EntLib versions that will run in Windows 7 (AppCompat)

Topics: General discussion
Apr 6, 2011 at 8:14 PM

I am working with an Enterprise customer that has many versions of EntLib (2.0, 3.1, 4.1 and 5) deployed in production. They are moving to Windows 7 and undertand te need for Software Currency (moving all apps that are using 2.0, 3.1 and 4.0 to the latest version) but it will take time for all of the applications.

The questions is, which version(s) of EntLib are supported/compatible/certified for Windows 7?

Thanks!

- Mauro

Apr 7, 2011 at 1:26 AM

Windows 7 is officially listed as one of the supported operating systems on EntLib 5.  For the lower versions, I'm not aware of any additional effort to fully test them in Windows 7.  However, I did use version 4.1 in Windows 7 and it works fine.  I believe the operating system doesn't have a great impact on whether EntLib will work or not.  You can refer to Grigori Melnik's reply on this blog.

 

Sarah Urmeneta
Global Technologies and Solutions
Avanade, Inc.
entlib.support@avanade.com